Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.portlet
Class ChannelData

    java.lang.Object
      org.jasig.portal.channels.portlet.ChannelData

    public class ChannelData

extends java.lang.Object

An object that keeps track of session data.

Version:
  $Revision: 1.9.4.1 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private java.lang.String` | `expirationCache`
`private boolean` | `focused`
`private long` | `lastRenderTime`
`private javax.portlet.PortletMode` | `newPortletMode`
`private javax.portlet.WindowState` | `newWindowState`
`private org.apache.pluto.om.window.PortletWindow` | `portletWindow`
`private boolean` | `portletWindowInitialized`
`private boolean` | `processedAction`
`private boolean` | `receivedEvent`
`private java.util.Map` | `userInfo`

Constructor Summary
`ChannelData()`

Method Summary
`java.lang.String` | `getExpirationCache()`
`long` | `getLastRenderTime()`
`javax.portlet.PortletMode` | `getNewPortletMode()`
`javax.portlet.WindowState` | `getNewWindowState()`
`org.apache.pluto.om.window.PortletWindow` | `getPortletWindow()`
`java.util.Map` | `getUserInfo()`
`boolean` | `hasProcessedAction()`
`boolean` | `hasReceivedEvent()`
`boolean` | `isFocused()`
`boolean` | `isPortletWindowInitialized()`
`void` | `setExpirationCache(java.lang.String expirationCache)`
`void` | `setFocused(boolean focused)`
`void` | `setLastRenderTime(long lastRenderTime)`
`void` | `setNewPortletMode(javax.portlet.PortletMode newPortletMode)`
`void` | `setNewWindowState(javax.portlet.WindowState newWindowState)`
`void` | `setPortletWindow(org.apache.pluto.om.window.PortletWindow portletWindow)`
`void` | `setPortletWindowInitialized(boolean portletWindowInitialized)`
`void` | `setProcessedAction(boolean processedAction)`
`void` | `setReceivedEvent(boolean receivedEvent)`
`void` | `setUserInfo(java.util.Map userInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletWindowInitialized

    private boolean portletWindowInitialized

### portletWindow

    private org.apache.pluto.om.window.PortletWindow portletWindow

### userInfo

    private java.util.Map userInfo

### processedAction

    private boolean processedAction

### receivedEvent

    private boolean receivedEvent

### focused

    private boolean focused

### newPortletMode

    private javax.portlet.PortletMode newPortletMode

### lastRenderTime

    private long lastRenderTime

### expirationCache

    private java.lang.String expirationCache

### newWindowState

    private javax.portlet.WindowState newWindowState

Constructor Detail

### ChannelData

    public ChannelData()

Method Detail

### isPortletWindowInitialized

    public boolean isPortletWindowInitialized()

### getPortletWindow

    public org.apache.pluto.om.window.PortletWindow getPortletWindow()

### getUserInfo

    public java.util.Map getUserInfo()

### hasProcessedAction

    public boolean hasProcessedAction()

### hasReceivedEvent

    public boolean hasReceivedEvent()

### isFocused

    public boolean isFocused()

### getNewPortletMode

    public javax.portlet.PortletMode getNewPortletMode()

### getNewWindowState

    public javax.portlet.WindowState getNewWindowState()

### getLastRenderTime

    public long getLastRenderTime()

### getExpirationCache

    public java.lang.String getExpirationCache()

### setPortletWindowInitialized

    public void setPortletWindowInitialized(boolean portletWindowInitialized)

### setPortletWindow

    public void setPortletWindow(org.apache.pluto.om.window.PortletWindow portletWindow)

### setUserInfo

    public void setUserInfo(java.util.Map userInfo)

### setProcessedAction

    public void setProcessedAction(boolean processedAction)

### setReceivedEvent

    public void setReceivedEvent(boolean receivedEvent)

### setFocused

    public void setFocused(boolean focused)

### setNewPortletMode

    public void setNewPortletMode(javax.portlet.PortletMode newPortletMode)

### setNewWindowState

    public void setNewWindowState(javax.portlet.WindowState newWindowState)

### setLastRenderTime

    public void setLastRenderTime(long lastRenderTime)

### setExpirationCache

    public void setExpirationCache(java.lang.String expirationCache)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD